.game-ui-main {
  position: absolute; 
  top: 100px;
  left: 0px;
  right: 0px;
  bottom: 0px; 
  background-color: #666;
  overflow: hidden;
}

.game-ui-main-wrapper {
  margin: auto;
  position: relative;
  max-width: calc(1600px + 300px + 3vw) !important;
  height: 100%;
}



/******************************************************************************
*
*  GAME CONTAINER
*
*******************************************************************************/

.game-ui-level-container {
  position: absolute;
  top: 1vw;
  left: 1vw;
  right: calc(2vw + 300px);
  bottom: calc(1vw + 50px);
  max-width: 1600px;
  overflow: auto;
  background-color: #666; /* should never be visible */
  border: 1px solid #fff;
  box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
  -webkit-box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
  -moz-box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
}

.game-ui-container-size-box {
  position: relative;
  width: 1598px !important;
  height: 100%;
}




/******************************************************************************
*
*  MAGIC WAND CURSOR
*
*******************************************************************************/

#childContainer {
  cursor: default !important;
}

#childContainer.isInDarkPatternSearchMode, #childContainer.isInDarkPatternSearchMode:hover {
  cursor: url('/magicwand.png') 0 0, help !important;
  pointer-events: all;
}

#childContainer button:not(.page-element) {
  cursor: inherit !important;
}




/******************************************************************************
*
*  SIDEBAR
*
*******************************************************************************/

.game-ui-sidebar {
  float: right;
  position: absolute;
  top: 1vw;
  right: 1vw;
  bottom: calc(1vw + 50px);
  width: 300px;
  background-color: #fff;
  border: 1px solid #fff;
  box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
  -webkit-box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
  -moz-box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
  padding: 10px;
}


.game-ui-timer {
  width: 100%;
  text-align: center;
  font-size: 28px;
  font-weight: 500;
  color: #333;
}

.game-ui-timer.stress-mode {
  color: #930000;

  -webkit-animation: heartBeat 1s ease infinite 0s;
  -moz-animation: heartBeat 1s ease infinite 0s;
  -o-animation: heartBeat 1s ease infinite 0s;
  -ms-animation: heartBeat 1s ease infinite 0s;
  animation: heartBeat 1s ease infinite 0s;
}

@-webkit-keyframes heartBeat { 
  0%   { transform: scale(1); }
  15%  { transform: scale(1.2); }
  25%  { transform: scale(1.1); }
  35%  { transform: scale(1.2); }
  100% { transform: scale(1); }
}
@-moz-keyframes heartBeat { 
  0%   { transform: scale(1); }
  15%  { transform: scale(1.2); }
  25%  { transform: scale(1.1); }
  35%  { transform: scale(1.2); }
  100% { transform: scale(1); }
}
@keyframes heartBeat { 
  0%   { transform: scale(1); }
  15%  { transform: scale(1.2); }
  25%  { transform: scale(1.1); }
  35%  { transform: scale(1.2); }
  100% { transform: scale(1); }
}


.game-ui-score {
  margin-top: 10px;
  font-size: 18px;
  color: #333;
}

.game-ui-score > div {
  float: right;
  font-weight: 500;
}

.game-ui-score-positive {
  color: #111;
}

.game-ui-score-negative {
  color: #930000;
}



.game-ui-sidebar button {
  cursor: pointer !important;
  color: #000;
  border: 1px solid #666;
  width: 100%;
  padding: 4px 12px;
  background-color: #ddd;
  font-size: 16px;
  font-weight: 600;
  border-radius: 6px;
}

.game-ui-sidebar button:hover {
  background-color: #bbb;
}

.game-ui-dp-categories {
  position: absolute;
  bottom: 10px;
  left: 10px;
  right: 10px;
  height: auto;
}

.game-ui-dp-categories:not(.game-ui-dp-categories-active) {
  visibility: hidden;
}

.game-ui-dp-categories:has(.game-ui-dp-categories-active) {
  visibility: visible !important;
}

.game-ui-dp-categories > h3 {
  color: #333;
  font-size: 18px;
  font-weight: 500;
  text-align: center;
  margin-bottom: 5px;
  padding-bottom: 5px;
  border-bottom: 1px solid #333;
}



.darkPatternCategoryButton {
  margin-top: 10px;
  text-align: center;
}

.darkPatternCategoryButton:last-child {
  margin-top: 24px;
}

.darkPatternCategoryButton > span {
  position: absolute;
  right: 10px;
  height: 20px;
  width: 20px;
  line-height: 16px;
  padding-left: 1px;
  color: #333;
  border: 1px solid #333;
  border-radius: 50%;
  text-align: center;
  font-size: 14px;
  margin-top: 2px;
}




.darkPatternSelectorButton {
  cursor: pointer;
}

.darkPatternSelectorButton input {
  visibility: hidden;
  pointer-events: none;
}

.darkPatternSelectorButton span {
  cursor: pointer !important;
  color: #000;
  border: 1px solid #666;
  width: 100% !important;  
  padding: 4px 12px;
  background-color: #ddd;
  font-size: 16px;
  font-weight: 600;
  border-radius: 6px;
  text-align: center;
  user-select: none;
  white-space: nowrap;
  float: left;
}

.darkPatternSelectorButton span:hover {
  background-color: #bbb;
}

.darkPatternSelectorButton input:checked + span {
  box-shadow: inset 0px 0px 5px #333;
  transform: translateY(1px);
}

.game-ui-sidebar > small {
  margin-top: 10px;
  clear: both;
  float: left;
  height: auto;
  color: #999;
  line-height: 120%;
  text-align: center;
}



/******************************************************************************
*
*  FINISH BUTTON
*
*******************************************************************************/

.finishedButton {
  position: absolute;
  bottom: 1vw;
  right: 1vw;
  width: 300px;
  height: 40px;

  cursor: pointer !important;
  color: #000;
  border: 1px solid #666;
  padding: 4px 12px;
  background-color: #ddd;
  font-size: 16px;
  font-weight: 600;
  border-radius: 6px;

  box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
  -webkit-box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
  -moz-box-shadow: 0px 0px 5px 4px rgba(0,0,0,0.25);
}




/******************************************************************************
*
*  PAGE CONTROL
*
*******************************************************************************/

.page-element, .page-element:hover {
  cursor: url('/unlock.png') 0 0, help !important;
  pointer-events: all;
}

.game-ui-pager {
  position: absolute;
  left: 1vw;
  right: calc(2vw + 300px);
  bottom: calc(1vw - 10px);
  height: 60px;
  max-width: 1600px;
  overflow-x: auto;
  overflow-y: hidden;
}

.game-ui-pager-wrapper {
  position: relative;
  margin-left: auto;
  margin-right: auto;
  width: max-content;
}

.game-ui-pager-button {
  cursor: pointer !important;
  width: 40px;
  height: 40px;
  margin-left: 10px;
  margin-top: 10px;
  background-color: #333;
  border: 1px solid #ddd;
  border-radius: 20px;
  color: #ddd;
  font-weight: 600;
}

.game-ui-pager-button-active {
  background-color: #111;
}

.game-ui-pager-button-disabled {
  cursor: default !important;
}

.game-ui-pager-buttonfirst-child {
  margin-left: 0px;
}

.game-ui-active-page {
  display: block !important;
}
.game-ui-inactive-page {
  display: none !important;
}





/******************************************************************************
*
*  OVERLAYS
*
*******************************************************************************/

.game-ui-explanation-overlay {
  position: fixed;
  display: block;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  background-color: rgba(0,0,0,0.8);
  z-index: 1000;
  cursor: pointer;
}



.game-ui-explanation-overlay-inner {
  cursor: default;
  position: absolute;
  left: 50vw;
  top: 50vh;
  width: 600px;
  transform: translateY(-50%) translateX(-50%);
  background-color: #fff;
  border-radius: 20px;
  padding: 20px;
  color: #333;
  box-shadow: 0px 0px 10px 4px rgba(0,0,0,0.4);
  -webkit-box-shadow: 0px 0px 10px 4px rgba(0,0,0,0.4);
  -moz-box-shadow: 0px 0px 10px 4px rgba(0,0,0,0.4);
}

.game-ui-explanation-overlay-inner > h1 {
  text-align: center;
  font-size: 24px;
  font-weight: 500;
  margin-bottom: 10px;
  color: #000;
}

.game-ui-explanation-close {
  float: right;
  margin-top: -10px;
  margin-right: -6px;
}

.game-ui-explanation-overlay-description {
  font-size: 16px;
  text-align: justify;
}

.score-change-table {
  margin-top: 10px;
  text-align: left;
}

.score-change-table td {
  padding-right: 20px;
  padding-bottom: 4px;
  font-size: 14px;
}

.overlay-score-positive {
  color: rgb(0, 90, 0);
}

.overlay-score-negative {
  color: rgb(148, 0, 0);
}


.game-ui-explanation-overlay-justification > h3 {
  margin-top: 10px;
  font-size: 15px;
  font-weight: 600;
  color: #000;
}

.game-ui-explanation-overlay-justification-text {
  width: 100%;
  height: 60px;
  padding: 10px;
  resize: none;
  font-size: 14px;
  margin-top: 4px;
}

.game-ui-page-unlocked-overlay {
  width: 500px !important;
}

.game-ui-page-unlocked-overlay > h3 {
  text-align: center;
  color: #000;
}

.game-ui-page-unlocked-overlay .overlay-button { 
  width: 46% !important;
}


.game-ui-final-result-overlay {
  position: fixed;
  display: block;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  background-color: rgba(0,0,0,0.98);
  z-index: 1000;
  cursor: pointer;
}



.result-overlay-inner {
  cursor: default !important;
}

.overlay-button {
  cursor: pointer !important;
  color: #000;
  border: 1px solid #666;
  width: 40%;
  padding: 4px 12px;
  background-color: #ddd;
  font-size: 16px;
  font-weight: 600;
  border-radius: 6px;
  margin-top: 12px;
  height: 60px;
}

.overlay-button-last {
  float: right;
}


.game-ui-explanation-overlay-finalscore {
  font-size: 18px !important;
  font-weight: 600;
  padding-left: 10px;
}

.game-ui-explanation-overlay-finalscore.positive {
  color: rgb(0, 90, 0);
}

.game-ui-explanation-overlay-finalscore.negative {
  color: rgb(148, 0, 0);
}